Package: org.codehaus.groovy.grails.plugins

## [Java] Class XmlPluginDescriptorReader

- org.codehaus.groovy.grails.plugins.XmlPluginDescriptorReader

- All Implemented Interfaces and Traits:
    PluginDescriptorReader

      public class XmlPluginDescriptorReader
      extends java.lang.Object

  Reads plugin information from the plugin.xml descriptor.

  Authors:
    Graeme Rocher
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlPluginDescriptorReader (PluginBuildSettings pluginSettings)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsPluginInfo` | `readPluginInfo(Resource pluginDescriptor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public XmlPluginDescriptorReader(PluginBuildSettings pluginSettings)

  - ### Method Detail

    - #### public GrailsPluginInfo readPluginInfo(Resource pluginDescriptor)